summaryrefslogtreecommitdiff
path: root/linux/deb/fs-hello-kamal/package/DEBIAN/postinst
diff options
context:
space:
mode:
authorKamal Wickramanayake <kamal@inbox.lk>2026-05-23 14:45:05 +0530
committerKamal Wickramanayake <kamal@inbox.lk>2026-05-23 14:45:05 +0530
commitfe8b0606b434bb17f870cf9e6ba473c2ef39ca1f (patch)
treeda76e9376de7f0e1b74d47e0f439345be1025503 /linux/deb/fs-hello-kamal/package/DEBIAN/postinst
parentbef7e64a134b0c3bd7bf9c3175b8a3817c3b9eb7 (diff)
Added a simple deb file creation sample project to linux/deb directory
Diffstat (limited to 'linux/deb/fs-hello-kamal/package/DEBIAN/postinst')
-rwxr-xr-xlinux/deb/fs-hello-kamal/package/DEBIAN/postinst10
1 files changed, 10 insertions, 0 deletions
diff --git a/linux/deb/fs-hello-kamal/package/DEBIAN/postinst b/linux/deb/fs-hello-kamal/package/DEBIAN/postinst
new file mode 100755
index 0000000..978306d
--- /dev/null
+++ b/linux/deb/fs-hello-kamal/package/DEBIAN/postinst
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -e
+
+if [ "$1" == "configure" ] && [ -z "$2" ]; then
+ # Code here executes only during package install (but not during upgrade)
+ echo "postinst script is running and this line gets printed during first install of the package"
+fi
+
+echo "postinst script is running and this line gets printed during install or upgrade of the package."